Jump to content

(Archived) "does not provide secure updates" error in FF3 RC1


Recommended Posts

So I decided to take the plunge the download Firefox 3 RC1. I tried installing the Evernote clipper and get a message that says Evernote doesn't provide secure updates, so it won't be installed.

Anyone know a way around this? (Far as I'm concerned, it should be my choice if I want to risk updates not being secure...)

Link to comment

Archived

This topic is now archived and is closed to further replies.

Guest
This topic is now closed to further replies.
×
×
  • Create New...